=== modified file 'codeigniter/application/models/filetree.php'
--- codeigniter/application/models/filetree.php	2013-05-28 08:51:26 +0000
+++ codeigniter/application/models/filetree.php	2013-05-30 11:25:59 +0000
@@ -7,7 +7,8 @@
 		 function getCategories($activeCourse) {
 			$this -> db -> select('categoryName');
 			$this -> db -> from('Categories'); 
-			$this -> db -> where('courseID', $activeCourse); 
+			$this -> db -> where('courseID', $activeCourse);
+			$this -> db -> order_by('orderNr');
 
 			$query = $this -> db -> get();
 			return $query->result();

=== modified file 'codeigniter/application/views/cmsindex.php'
--- codeigniter/application/views/cmsindex.php	2013-05-28 15:12:51 +0000
+++ codeigniter/application/views/cmsindex.php	2013-05-30 11:25:59 +0000
@@ -20,65 +20,68 @@
 		<?php
 			//$filetree[];
 			$oddToggle = true;
+			$line;
 
 			foreach ($filetree as $category => $subCategories) {
+				
 				if ($oddToggle) {
-					echo 	'<div id="'.$category.'">
-							<p name="'.$category.'" class="categoryName odd">'
-								.$category.
-							'</p>';
+					$line = 'odd';
 					$oddToggle = false;
-				}
-				else {
-					echo 	'<div id="'.$category.'">
-							<p name="'.$category.'" class="categoryName even">'
-								.$category.
-							'</p>';
+				} else {
+					$line = 'even';
 					$oddToggle = true;
 				}
-				
+				echo 	'<div id="'.$category.'">
+						<div class="'.$line.'">
+							<div class="categoryIcon"></div> 
+							<div name="'.$category.'" class="categoryName">'.$category.'</div>
+						</div>';
+						
 				foreach ($subCategories as $subCategory => $subCategoryContents) {
+					
 					if ($oddToggle) {
-						echo	'<p name="'.$subCategory.'" class="subCategoryName odd">'
-								.$subCategory.
-								'</p>';
+						$line = 'odd';
 						$oddToggle = false;
-					}
-					else {
-						echo	'<p name="'.$subCategory.'" class="subCategoryName even">'
-								.$subCategory.
-								'</p>';
+					} else {
+						$line = 'even';
 						$oddToggle = true;
 					}
+					echo	'<div class="'.$line.'">
+								<div class="categoryDots"></div>
+								<div class="subCategoryIcon"></div>
+								<div name="'.$subCategory.'" class="subCategoryName">'.$subCategory.'</div>
+							</div>';
 					
 					foreach ($subCategoryContents['examples'] as $example) {
+						
 						if ($oddToggle) {
-							echo	'<p name="'.$example.'" class="exampleName odd">'
-										.$example.
-									'</p>';
+							$line = 'odd';
 							$oddToggle = false;
-						}
-						else {
-							echo	'<p name="'.$example.'" class="exampleName even">'
-										.$example.
-									'</p>';
+						} else {
+							$line = 'even';
 							$oddToggle = true;
 						}
+						echo	'<div class="'.$line.'">
+									<div class="categoryDots"></div>
+									<div class="subCategoryDots"></div>
+									<div name="'.$example.'" class="exampleName">'.$example.'</div>
+								</div>';
 					}
 					
 					foreach ($subCategoryContents['quizzes'] as $quiz) {
+						
 						if ($oddToggle) {
-							echo	'<p name="'.$quiz.'" class="quizName odd">'
-										.$quiz.
-									'</p>';
+							$line = 'odd';
 							$oddToggle = false;
-						}
-						else {
-							echo	'<p name="'.$quiz.'" class="quizName even">'
-										.$quiz.
-									'</p>';
+						} else {
+							$line = 'even';
 							$oddToggle = true;
 						}
+						echo	'<div class="'.$line.'">
+									<div class="categoryDots"></div>
+									<div class="subCategoryDots"></div>
+									<div name="'.$quiz.'" class="quizName">'.$quiz.'</div>
+								</div>';
 					}
 				}
 				echo	'</div><!-- end of category div -->';

=== modified file 'codeigniter/css/cmsindex.css'
--- codeigniter/css/cmsindex.css	2013-05-28 15:12:51 +0000
+++ codeigniter/css/cmsindex.css	2013-05-30 11:25:59 +0000
@@ -3,7 +3,7 @@
  * Cms Index-----------------------------------------------------------------------------------------------------------------------
  */
 
-#cmsContentHeader{
+#cmsContentHeader {
 	width: 849px;
 	height: 25px;
 	padding-top: 4px;
@@ -11,23 +11,32 @@
 	border-bottom: 1px solid #acacac;
 }
 
-#cmsContentBody{
+#cmsContentBody {
 	margin-top:10px;
 }
 
-.odd{
+/* Bg-color for odd rows */
+.odd {
 	background-color:#fff;
-}
-
-.even{
-	background-color:#f5f5f5; 
-}
-
-.categoryName{
-	display: block;
-	width: 657px;
-	height: 1.2em;
-	padding-left: 1.9em;
+	display: block;
+	width: 687px;
+	height: 2.4em;
+}
+
+/* Bg-color for even rows */
+.even {
+	background-color:#f5f5f5;
+	display: block;
+	width: 687px;
+	height: 2.4em;
+}
+
+/*
+ * Cms Category--------------------------------------------------------------------------------------------------------------------
+ */
+ 
+.categoryName {
+	margin-left: 1.9em;
 	padding-top: 0.2em;
 	padding-bottom: 0.1em;
 	color: #0a68ad;
@@ -35,34 +44,29 @@
 	font-weight: bold;
 }
 
+.categoryIcon {
+	width: 9px;
+	height: 12px;
+	margin-top: 1.0em;
+	margin-left: 1.5em;
+	margin-bottom: 0.1em;
+	background: url(../img/filetree_expanded_arrow.png);
+	float: left;
+}
+
+.categoryDots {
+	width: 3px;
+	height: 2.4em;
+	margin-top: 0;
+	margin-left: 1.8em;
+	margin-bottom: 0;
+	background: url(../img/filetree_expanded_dot.png) repeat-y;
+	float: left;
+}
+
 /*
-.categoryIcon{
-	color:#bababa;
-	font-family: "icomoon";
-	font-size:13px;
-	display:inline-block;
-	margin-left:11px;
-	margin-right:5px;
-	cursor:pointer;
-	-webkit-touch-callout: none;
-	-webkit-user-select: none;
-	-khtml-user-select: none;
-	-moz-user-select: none;
-	-ms-user-select: none;
-	user-select: none;
-}
-
-.categoryIcon.expanded{
-	transform:rotate(90deg);
-	-ms-transform:rotate(90deg);
-	-webkit-transform:rotate(90deg);
-}
-.categoryIcon.notExpanded{
-	transform:rotate(0deg);
-	-ms-transform:rotate(0deg);
-	-webkit-transform:rotate(0deg);
-}
-*/
+ * Cms Subcategory-----------------------------------------------------------------------------------------------------------------
+ */
 
 .subCategoryName{
 	display: block;
@@ -76,11 +80,35 @@
 	font-weight: bold;
 }
 
+.subCategoryIcon {
+	width: 9px;
+	height: 12px;
+	margin-top: 1.0em;
+	margin-left: 1.2em;
+	margin-bottom: 0.1em;
+	background: url(../img/filetree_expanded_arrow.png);
+	float: left;
+}
+
+.subCategoryDots {
+	width: 3px;
+	height: 2.4em;
+	margin-top: 0;
+	margin-left: 1.5em;
+	margin-bottom: 0;
+	background: url(../img/filetree_expanded_dot.png) repeat-y;
+	float: left;
+}
+
+/*
+ * Cms Examples & Quizzes----------------------------------------------------------------------------------------------------------
+ */
+
 .exampleName{
 	display: block;
 	width: 619px;
 	height: 1.2em;
-	padding-left: 5.7em;
+	padding-left: 4.9em;
 	padding-top: 0.5em;
 	padding-bottom: 0.3em;
 	color: #0a68ad;
@@ -90,14 +118,14 @@
 
 .exampleName:before {
 	margin: 0 5px 0 0;
-	content: url(../img/example_indicator.png);
+	content: url(../img/filetree_example_indicator.png);
 }
 
 .quizName{
 	display: block;
 	width: 619px;
 	height: 1.2em;
-	padding-left: 5.7em;
+	padding-left: 4.9em;
 	padding-top: 0.5em;
 	padding-bottom: 0.3em;
 	color: #0a68ad;
@@ -107,7 +135,7 @@
 
 .quizName:before {
 	margin: 0 5px 0 0;
-	content: url(../img/quizz_indicator.png);
+	content: url(../img/filetree_quiz_indicator.png);
 }
 
 /*
@@ -214,6 +242,33 @@
 }
 
 
+.categoryIcon{
+	color:#bababa;
+	font-size:13px;
+	display:inline-block;
+	margin-left:11px;
+	margin-right:5px;
+	cursor:pointer;
+	-webkit-touch-callout: none;
+	-webkit-user-select: none;
+	-khtml-user-select: none;
+	-moz-user-select: none;
+	-ms-user-select: none;
+	user-select: none;
+}
+
+.categoryIcon.expanded{
+	transform:rotate(90deg);
+	-ms-transform:rotate(90deg);
+	-webkit-transform:rotate(90deg);
+}
+.categoryIcon.notExpanded{
+	transform:rotate(0deg);
+	-ms-transform:rotate(0deg);
+	-webkit-transform:rotate(0deg);
+}
+
+
 .categoryBorder
 {
 	float:left;

=== removed file 'codeigniter/img/example_indicator.png'
Binary files codeigniter/img/example_indicator.png and codeigniter/img/example_indicator.png differ
=== added file 'codeigniter/img/filetree_example_indicator.png'
Binary files codeigniter/img/filetree_example_indicator.png and codeigniter/img/filetree_example_indicator.png differ
=== added file 'codeigniter/img/filetree_expanded_arrow.png'
Binary files codeigniter/img/filetree_expanded_arrow.png and codeigniter/img/filetree_expanded_arrow.png differ
=== added file 'codeigniter/img/filetree_expanded_dot.png'
Binary files codeigniter/img/filetree_expanded_dot.png and codeigniter/img/filetree_expanded_dot.png differ
=== added file 'codeigniter/img/filetree_quiz_indicator.png'
Binary files codeigniter/img/filetree_quiz_indicator.png and codeigniter/img/filetree_quiz_indicator.png differ
=== removed file 'codeigniter/img/quizz_indicator.png'
Binary files codeigniter/img/quizz_indicator.png and codeigniter/img/quizz_indicator.png differ
